<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDodatniPodaci ArrayType
 * @subpackage Arrays
 */
class ArrayOfDodatniPodaci extends AbstractStructArrayBase
{
    /**
     * The DodatniPodaci
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DodatniPodatak[]
     */
    public $DodatniPodaci;
    /**
     * Constructor method for ArrayOfDodatniPodaci
     * @uses ArrayOfDodatniPodaci::setDodatniPodaci()
     * @param \StructType\DodatniPodatak[] $dodatniPodaci
     */
    public function __construct(array $dodatniPodaci = array())
    {
        $this
            ->setDodatniPodaci($dodatniPodaci);
    }
    /**
     * Get DodatniPodaci value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DodatniPodatak[]|null
     */
    public function getDodatniPodaci()
    {
        return isset($this->DodatniPodaci) ? $this->DodatniPodaci : null;
    }
    /**
     * This method is responsible for validating the values passed to the setDodatniPodaci method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDodatniPodaci method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDodatniPodaciForArrayConstraintsFromSetDodatniPodaci(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfDodatniPodaciDodatniPodaciItem) {
            // validation for constraint: itemType
            if (!$arrayOfDodatniPodaciDodatniPodaciItem instanceof \StructType\DodatniPodatak) {
                $invalidValues[] = is_object($arrayOfDodatniPodaciDodatniPodaciItem) ? get_class($arrayOfDodatniPodaciDodatniPodaciItem) : sprintf('%s(%s)', gettype($arrayOfDodatniPodaciDodatniPodaciItem), var_export($arrayOfDodatniPodaciDodatniPodaciItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DodatniPodaci property can only contain items of type \StructType\DodatniPodatak, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DodatniPodaci value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\DodatniPodatak[] $dodatniPodaci
     * @return \ArrayType\ArrayOfDodatniPodaci
     */
    public function setDodatniPodaci(array $dodatniPodaci = array())
    {
        // validation for constraint: array
        if ('' !== ($dodatniPodaciArrayErrorMessage = self::validateDodatniPodaciForArrayConstraintsFromSetDodatniPodaci($dodatniPodaci))) {
            throw new \InvalidArgumentException($dodatniPodaciArrayErrorMessage, __LINE__);
        }
        if (is_null($dodatniPodaci) || (is_array($dodatniPodaci) && empty($dodatniPodaci))) {
            unset($this->DodatniPodaci);
        } else {
            $this->DodatniPodaci = $dodatniPodaci;
        }
        return $this;
    }
    /**
     * Add item to DodatniPodaci value
     * @throws \InvalidArgumentException
     * @param \StructType\DodatniPodatak $item
     * @return \ArrayType\ArrayOfDodatniPodaci
     */
    public function addToDodatniPodaci(\StructType\DodatniPodatak $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\DodatniPodatak) {
            throw new \InvalidArgumentException(sprintf('The DodatniPodaci property can only contain items of type \StructType\DodatniPodatak, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DodatniPodaci[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\DodatniPodatak|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\DodatniPodatak|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\DodatniPodatak|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\DodatniPodatak|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\DodatniPodatak|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DodatniPodaci
     */
    public function getAttributeName()
    {
        return 'DodatniPodaci';
    }
}
