<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfNaciniPlacanja ArrayType
 * @subpackage Arrays
 */
class ArrayOfNaciniPlacanja extends AbstractStructArrayBase
{
    /**
     * The NacinPlacanja
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - nillable: true
     * @var \StructType\NacinPlacanja[]
     */
    public $NacinPlacanja;
    /**
     * Constructor method for ArrayOfNaciniPlacanja
     * @uses ArrayOfNaciniPlacanja::setNacinPlacanja()
     * @param \StructType\NacinPlacanja[] $nacinPlacanja
     */
    public function __construct(array $nacinPlacanja = array())
    {
        $this
            ->setNacinPlacanja($nacinPlacanja);
    }
    /**
     * Get NacinPlacanja value
     * @return \StructType\NacinPlacanja[]|null
     */
    public function getNacinPlacanja()
    {
        return $this->NacinPlacanja;
    }
    /**
     * This method is responsible for validating the values passed to the setNacinPlacanja method
     * This method is willingly generated in order to preserve the one-line inline validation within the setNacinPlacanja method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateNacinPlacanjaForArrayConstraintsFromSetNacinPlacanja(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfNaciniPlacanjaNacinPlacanjaItem) {
            // validation for constraint: itemType
            if (!$arrayOfNaciniPlacanjaNacinPlacanjaItem instanceof \StructType\NacinPlacanja) {
                $invalidValues[] = is_object($arrayOfNaciniPlacanjaNacinPlacanjaItem) ? get_class($arrayOfNaciniPlacanjaNacinPlacanjaItem) : sprintf('%s(%s)', gettype($arrayOfNaciniPlacanjaNacinPlacanjaItem), var_export($arrayOfNaciniPlacanjaNacinPlacanjaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The NacinPlacanja property can only contain items of type \StructType\NacinPlacanja, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set NacinPlacanja value
     * @throws \InvalidArgumentException
     * @param \StructType\NacinPlacanja[] $nacinPlacanja
     * @return \ArrayType\ArrayOfNaciniPlacanja
     */
    public function setNacinPlacanja(array $nacinPlacanja = array())
    {
        // validation for constraint: array
        if ('' !== ($nacinPlacanjaArrayErrorMessage = self::validateNacinPlacanjaForArrayConstraintsFromSetNacinPlacanja($nacinPlacanja))) {
            throw new \InvalidArgumentException($nacinPlacanjaArrayErrorMessage, __LINE__);
        }
        $this->NacinPlacanja = $nacinPlacanja;
        return $this;
    }
    /**
     * Add item to NacinPlacanja value
     * @throws \InvalidArgumentException
     * @param \StructType\NacinPlacanja $item
     * @return \ArrayType\ArrayOfNaciniPlacanja
     */
    public function addToNacinPlacanja(\StructType\NacinPlacanja $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\NacinPlacanja) {
            throw new \InvalidArgumentException(sprintf('The NacinPlacanja property can only contain items of type \StructType\NacinPlacanja, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->NacinPlacanja[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\NacinPlacanja|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\NacinPlacanja|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\NacinPlacanja|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\NacinPlacanja|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\NacinPlacanja|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string NacinPlacanja
     */
    public function getAttributeName()
    {
        return 'NacinPlacanja';
    }
}
