<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfNalogStavke ArrayType
 * @subpackage Arrays
 */
class ArrayOfNalogStavke extends AbstractStructArrayBase
{
    /**
     * The NalogStavka
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - nillable: true
     * @var \StructType\NalogStavka[]
     */
    public $NalogStavka;
    /**
     * Constructor method for ArrayOfNalogStavke
     * @uses ArrayOfNalogStavke::setNalogStavka()
     * @param \StructType\NalogStavka[] $nalogStavka
     */
    public function __construct(array $nalogStavka = array())
    {
        $this
            ->setNalogStavka($nalogStavka);
    }
    /**
     * Get NalogStavka value
     * @return \StructType\NalogStavka[]|null
     */
    public function getNalogStavka()
    {
        return $this->NalogStavka;
    }
    /**
     * This method is responsible for validating the values passed to the setNalogStavka method
     * This method is willingly generated in order to preserve the one-line inline validation within the setNalogStavka method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateNalogStavkaForArrayConstraintsFromSetNalogStavka(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfNalogStavkeNalogStavkaItem) {
            // validation for constraint: itemType
            if (!$arrayOfNalogStavkeNalogStavkaItem instanceof \StructType\NalogStavka) {
                $invalidValues[] = is_object($arrayOfNalogStavkeNalogStavkaItem) ? get_class($arrayOfNalogStavkeNalogStavkaItem) : sprintf('%s(%s)', gettype($arrayOfNalogStavkeNalogStavkaItem), var_export($arrayOfNalogStavkeNalogStavkaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The NalogStavka property can only contain items of type \StructType\NalogStavka, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set NalogStavka value
     * @throws \InvalidArgumentException
     * @param \StructType\NalogStavka[] $nalogStavka
     * @return \ArrayType\ArrayOfNalogStavke
     */
    public function setNalogStavka(array $nalogStavka = array())
    {
        // validation for constraint: array
        if ('' !== ($nalogStavkaArrayErrorMessage = self::validateNalogStavkaForArrayConstraintsFromSetNalogStavka($nalogStavka))) {
            throw new \InvalidArgumentException($nalogStavkaArrayErrorMessage, __LINE__);
        }
        $this->NalogStavka = $nalogStavka;
        return $this;
    }
    /**
     * Add item to NalogStavka value
     * @throws \InvalidArgumentException
     * @param \StructType\NalogStavka $item
     * @return \ArrayType\ArrayOfNalogStavke
     */
    public function addToNalogStavka(\StructType\NalogStavka $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\NalogStavka) {
            throw new \InvalidArgumentException(sprintf('The NalogStavka property can only contain items of type \StructType\NalogStavka, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->NalogStavka[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\NalogStavka|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\NalogStavka|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\NalogStavka|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\NalogStavka|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\NalogStavka|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string NalogStavka
     */
    public function getAttributeName()
    {
        return 'NalogStavka';
    }
}
