<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaAtributa StructType
 * @subpackage Structs
 */
class ListaAtributa extends AbstractStructBase
{
    /**
     * The atribut
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Atribut[]
     */
    public $atribut;
    /**
     * Constructor method for ListaAtributa
     * @uses ListaAtributa::setAtribut()
     * @param \StructType\Atribut[] $atribut
     */
    public function __construct(array $atribut = array())
    {
        $this
            ->setAtribut($atribut);
    }
    /**
     * Get atribut value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Atribut[]|null
     */
    public function getAtribut()
    {
        return isset($this->atribut) ? $this->atribut : null;
    }
    /**
     * This method is responsible for validating the values passed to the setAtribut method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAtribut method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAtributForArrayConstraintsFromSetAtribut(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listaAtributaAtributItem) {
            // validation for constraint: itemType
            if (!$listaAtributaAtributItem instanceof \StructType\Atribut) {
                $invalidValues[] = is_object($listaAtributaAtributItem) ? get_class($listaAtributaAtributItem) : sprintf('%s(%s)', gettype($listaAtributaAtributItem), var_export($listaAtributaAtributItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The atribut property can only contain items of type \StructType\Atribut, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set atribut value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Atribut[] $atribut
     * @return \StructType\ListaAtributa
     */
    public function setAtribut(array $atribut = array())
    {
        // validation for constraint: array
        if ('' !== ($atributArrayErrorMessage = self::validateAtributForArrayConstraintsFromSetAtribut($atribut))) {
            throw new \InvalidArgumentException($atributArrayErrorMessage, __LINE__);
        }
        if (is_null($atribut) || (is_array($atribut) && empty($atribut))) {
            unset($this->atribut);
        } else {
            $this->atribut = $atribut;
        }
        return $this;
    }
    /**
     * Add item to atribut value
     * @throws \InvalidArgumentException
     * @param \StructType\Atribut $item
     * @return \StructType\ListaAtributa
     */
    public function addToAtribut(\StructType\Atribut $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Atribut) {
            throw new \InvalidArgumentException(sprintf('The atribut property can only contain items of type \StructType\Atribut, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->atribut[] = $item;
        return $this;
    }
}
