<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaDostavnihMjesta StructType
 * @subpackage Structs
 */
class ListaDostavnihMjesta extends AbstractStructBase
{
    /**
     * The dostavnoMjesto
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\DostavnoMjesto[]
     */
    public $dostavnoMjesto;
    /**
     * Constructor method for ListaDostavnihMjesta
     * @uses ListaDostavnihMjesta::setDostavnoMjesto()
     * @param \StructType\DostavnoMjesto[] $dostavnoMjesto
     */
    public function __construct(array $dostavnoMjesto = array())
    {
        $this
            ->setDostavnoMjesto($dostavnoMjesto);
    }
    /**
     * Get dostavnoMjesto value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\DostavnoMjesto[]|null
     */
    public function getDostavnoMjesto()
    {
        return isset($this->dostavnoMjesto) ? $this->dostavnoMjesto : null;
    }
    /**
     * This method is responsible for validating the values passed to the setDostavnoMjesto method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDostavnoMjesto method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDostavnoMjestoForArrayConstraintsFromSetDostavnoMjesto(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listaDostavnihMjestaDostavnoMjestoItem) {
            // validation for constraint: itemType
            if (!$listaDostavnihMjestaDostavnoMjestoItem instanceof \StructType\DostavnoMjesto) {
                $invalidValues[] = is_object($listaDostavnihMjestaDostavnoMjestoItem) ? get_class($listaDostavnihMjestaDostavnoMjestoItem) : sprintf('%s(%s)', gettype($listaDostavnihMjestaDostavnoMjestoItem), var_export($listaDostavnihMjestaDostavnoMjestoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The dostavnoMjesto property can only contain items of type \StructType\DostavnoMjesto, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set dostavnoMjesto value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\DostavnoMjesto[] $dostavnoMjesto
     * @return \StructType\ListaDostavnihMjesta
     */
    public function setDostavnoMjesto(array $dostavnoMjesto = array())
    {
        // validation for constraint: array
        if ('' !== ($dostavnoMjestoArrayErrorMessage = self::validateDostavnoMjestoForArrayConstraintsFromSetDostavnoMjesto($dostavnoMjesto))) {
            throw new \InvalidArgumentException($dostavnoMjestoArrayErrorMessage, __LINE__);
        }
        if (is_null($dostavnoMjesto) || (is_array($dostavnoMjesto) && empty($dostavnoMjesto))) {
            unset($this->dostavnoMjesto);
        } else {
            $this->dostavnoMjesto = $dostavnoMjesto;
        }
        return $this;
    }
    /**
     * Add item to dostavnoMjesto value
     * @throws \InvalidArgumentException
     * @param \StructType\DostavnoMjesto $item
     * @return \StructType\ListaDostavnihMjesta
     */
    public function addToDostavnoMjesto(\StructType\DostavnoMjesto $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\DostavnoMjesto) {
            throw new \InvalidArgumentException(sprintf('The dostavnoMjesto property can only contain items of type \StructType\DostavnoMjesto, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->dostavnoMjesto[] = $item;
        return $this;
    }
}
