<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaNarucenihProizvoda StructType
 * @subpackage Structs
 */
class ListaNarucenihProizvoda extends AbstractStructBase
{
    /**
     * The naruceniProizvod
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\NaruceniProizvod[]
     */
    public $naruceniProizvod;
    /**
     * Constructor method for ListaNarucenihProizvoda
     * @uses ListaNarucenihProizvoda::setNaruceniProizvod()
     * @param \StructType\NaruceniProizvod[] $naruceniProizvod
     */
    public function __construct(array $naruceniProizvod = array())
    {
        $this
            ->setNaruceniProizvod($naruceniProizvod);
    }
    /**
     * Get naruceniProizvod value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\NaruceniProizvod[]|null
     */
    public function getNaruceniProizvod()
    {
        return isset($this->naruceniProizvod) ? $this->naruceniProizvod : null;
    }
    /**
     * This method is responsible for validating the values passed to the setNaruceniProizvod method
     * This method is willingly generated in order to preserve the one-line inline validation within the setNaruceniProizvod method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateNaruceniProizvodForArrayConstraintsFromSetNaruceniProizvod(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listaNarucenihProizvodaNaruceniProizvodItem) {
            // validation for constraint: itemType
            if (!$listaNarucenihProizvodaNaruceniProizvodItem instanceof \StructType\NaruceniProizvod) {
                $invalidValues[] = is_object($listaNarucenihProizvodaNaruceniProizvodItem) ? get_class($listaNarucenihProizvodaNaruceniProizvodItem) : sprintf('%s(%s)', gettype($listaNarucenihProizvodaNaruceniProizvodItem), var_export($listaNarucenihProizvodaNaruceniProizvodItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The naruceniProizvod property can only contain items of type \StructType\NaruceniProizvod, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set naruceniProizvod value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\NaruceniProizvod[] $naruceniProizvod
     * @return \StructType\ListaNarucenihProizvoda
     */
    public function setNaruceniProizvod(array $naruceniProizvod = array())
    {
        // validation for constraint: array
        if ('' !== ($naruceniProizvodArrayErrorMessage = self::validateNaruceniProizvodForArrayConstraintsFromSetNaruceniProizvod($naruceniProizvod))) {
            throw new \InvalidArgumentException($naruceniProizvodArrayErrorMessage, __LINE__);
        }
        if (is_null($naruceniProizvod) || (is_array($naruceniProizvod) && empty($naruceniProizvod))) {
            unset($this->naruceniProizvod);
        } else {
            $this->naruceniProizvod = $naruceniProizvod;
        }
        return $this;
    }
    /**
     * Add item to naruceniProizvod value
     * @throws \InvalidArgumentException
     * @param \StructType\NaruceniProizvod $item
     * @return \StructType\ListaNarucenihProizvoda
     */
    public function addToNaruceniProizvod(\StructType\NaruceniProizvod $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\NaruceniProizvod) {
            throw new \InvalidArgumentException(sprintf('The naruceniProizvod property can only contain items of type \StructType\NaruceniProizvod, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->naruceniProizvod[] = $item;
        return $this;
    }
}
