<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaPogodnosti StructType
 * @subpackage Structs
 */
class ListaPogodnosti extends AbstractStructBase
{
    /**
     * The pogodnost
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Pogodnost[]
     */
    public $pogodnost;
    /**
     * Constructor method for ListaPogodnosti
     * @uses ListaPogodnosti::setPogodnost()
     * @param \StructType\Pogodnost[] $pogodnost
     */
    public function __construct(array $pogodnost = array())
    {
        $this
            ->setPogodnost($pogodnost);
    }
    /**
     * Get pogodnost value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Pogodnost[]|null
     */
    public function getPogodnost()
    {
        return isset($this->pogodnost) ? $this->pogodnost : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPogodnost method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPogodnost method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePogodnostForArrayConstraintsFromSetPogodnost(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listaPogodnostiPogodnostItem) {
            // validation for constraint: itemType
            if (!$listaPogodnostiPogodnostItem instanceof \StructType\Pogodnost) {
                $invalidValues[] = is_object($listaPogodnostiPogodnostItem) ? get_class($listaPogodnostiPogodnostItem) : sprintf('%s(%s)', gettype($listaPogodnostiPogodnostItem), var_export($listaPogodnostiPogodnostItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The pogodnost property can only contain items of type \StructType\Pogodnost, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set pogodnost value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Pogodnost[] $pogodnost
     * @return \StructType\ListaPogodnosti
     */
    public function setPogodnost(array $pogodnost = array())
    {
        // validation for constraint: array
        if ('' !== ($pogodnostArrayErrorMessage = self::validatePogodnostForArrayConstraintsFromSetPogodnost($pogodnost))) {
            throw new \InvalidArgumentException($pogodnostArrayErrorMessage, __LINE__);
        }
        if (is_null($pogodnost) || (is_array($pogodnost) && empty($pogodnost))) {
            unset($this->pogodnost);
        } else {
            $this->pogodnost = $pogodnost;
        }
        return $this;
    }
    /**
     * Add item to pogodnost value
     * @throws \InvalidArgumentException
     * @param \StructType\Pogodnost $item
     * @return \StructType\ListaPogodnosti
     */
    public function addToPogodnost(\StructType\Pogodnost $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Pogodnost) {
            throw new \InvalidArgumentException(sprintf('The pogodnost property can only contain items of type \StructType\Pogodnost, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->pogodnost[] = $item;
        return $this;
    }
}
