<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaRazreda StructType
 * @subpackage Structs
 */
class ListaRazreda extends AbstractStructBase
{
    /**
     * The razred
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Razred[]
     */
    public $razred;
    /**
     * Constructor method for ListaRazreda
     * @uses ListaRazreda::setRazred()
     * @param \StructType\Razred[] $razred
     */
    public function __construct(array $razred = array())
    {
        $this
            ->setRazred($razred);
    }
    /**
     * Get razred value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Razred[]|null
     */
    public function getRazred()
    {
        return isset($this->razred) ? $this->razred : null;
    }
    /**
     * This method is responsible for validating the values passed to the setRazred method
     * This method is willingly generated in order to preserve the one-line inline validation within the setRazred method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateRazredForArrayConstraintsFromSetRazred(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listaRazredaRazredItem) {
            // validation for constraint: itemType
            if (!$listaRazredaRazredItem instanceof \StructType\Razred) {
                $invalidValues[] = is_object($listaRazredaRazredItem) ? get_class($listaRazredaRazredItem) : sprintf('%s(%s)', gettype($listaRazredaRazredItem), var_export($listaRazredaRazredItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The razred property can only contain items of type \StructType\Razred, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set razred value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Razred[] $razred
     * @return \StructType\ListaRazreda
     */
    public function setRazred(array $razred = array())
    {
        // validation for constraint: array
        if ('' !== ($razredArrayErrorMessage = self::validateRazredForArrayConstraintsFromSetRazred($razred))) {
            throw new \InvalidArgumentException($razredArrayErrorMessage, __LINE__);
        }
        if (is_null($razred) || (is_array($razred) && empty($razred))) {
            unset($this->razred);
        } else {
            $this->razred = $razred;
        }
        return $this;
    }
    /**
     * Add item to razred value
     * @throws \InvalidArgumentException
     * @param \StructType\Razred $item
     * @return \StructType\ListaRazreda
     */
    public function addToRazred(\StructType\Razred $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Razred) {
            throw new \InvalidArgumentException(sprintf('The razred property can only contain items of type \StructType\Razred, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->razred[] = $item;
        return $this;
    }
}
