<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaZupanija StructType
 * @subpackage Structs
 */
class ListaZupanija extends AbstractStructBase
{
    /**
     * The zupanija
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Zupanija[]
     */
    public $zupanija;
    /**
     * Constructor method for ListaZupanija
     * @uses ListaZupanija::setZupanija()
     * @param \StructType\Zupanija[] $zupanija
     */
    public function __construct(array $zupanija = array())
    {
        $this
            ->setZupanija($zupanija);
    }
    /**
     * Get zupanija value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Zupanija[]|null
     */
    public function getZupanija()
    {
        return isset($this->zupanija) ? $this->zupanija : null;
    }
    /**
     * This method is responsible for validating the values passed to the setZupanija method
     * This method is willingly generated in order to preserve the one-line inline validation within the setZupanija method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateZupanijaForArrayConstraintsFromSetZupanija(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listaZupanijaZupanijaItem) {
            // validation for constraint: itemType
            if (!$listaZupanijaZupanijaItem instanceof \StructType\Zupanija) {
                $invalidValues[] = is_object($listaZupanijaZupanijaItem) ? get_class($listaZupanijaZupanijaItem) : sprintf('%s(%s)', gettype($listaZupanijaZupanijaItem), var_export($listaZupanijaZupanijaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The zupanija property can only contain items of type \StructType\Zupanija, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set zupanija value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Zupanija[] $zupanija
     * @return \StructType\ListaZupanija
     */
    public function setZupanija(array $zupanija = array())
    {
        // validation for constraint: array
        if ('' !== ($zupanijaArrayErrorMessage = self::validateZupanijaForArrayConstraintsFromSetZupanija($zupanija))) {
            throw new \InvalidArgumentException($zupanijaArrayErrorMessage, __LINE__);
        }
        if (is_null($zupanija) || (is_array($zupanija) && empty($zupanija))) {
            unset($this->zupanija);
        } else {
            $this->zupanija = $zupanija;
        }
        return $this;
    }
    /**
     * Add item to zupanija value
     * @throws \InvalidArgumentException
     * @param \StructType\Zupanija $item
     * @return \StructType\ListaZupanija
     */
    public function addToZupanija(\StructType\Zupanija $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Zupanija) {
            throw new \InvalidArgumentException(sprintf('The zupanija property can only contain items of type \StructType\Zupanija, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->zupanija[] = $item;
        return $this;
    }
}
